AOWP_ASTManager (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.weaver.AOWP_ASTManager
/aspect/weaver/ASTManager.class.php at line 13

# Class AOWP_ASTManager

    AOWP_ASTManager

public class AOWP_ASTManager

Author:
  keiji

Field Summary
final str | AST_CACHE_DIR
final str | AST_NAME_SEPARTOR
final str | SERIARIZE_FILENAME
private mixed | $_RemainingASTTasks

Constructor Summary
AOWP_ASTManager()

Method Summary
private static void | _getASTCacheName(mixed filePathOrASTFileName)
private static void | _getASTPath(mixed filePathOrASTFileName)
private static void | _getSourceRelativePath(mixed astFileName)
private static void | _getWovenASTPath(mixed filePathOrASTFileName)
private static string | _weavingCacheDirPath() 織り込みの途中段階のASTを、保存するフォルダを取得する。
static string | cacheDirPath() 解析したASTを、保存するフォルダを取得する。
void | cleanASTCache()
void | createAllASTCache()
void | createOneASTCache()
static void | generateWovenSource()
static void | getAllCachedASTFileName()
void | getRemainingASTTaskNum()
void | getSerializeFilePath()
static void | getSourcePath(mixed astFileName)
static PHP_Parser_Core | getWovenASTFile(mixed astFileName, $astFileName )
void | isEndCreateCache()
static void | parsePHPFile(mixed fileName)
static void | refleshWovenAST()
static void | saveCache(mixed fileName, mixed ast, mixed cacheDir)
static void | saveWeaveCache(mixed fileName, mixed ast)
void | serialize()

## Field Detail

/aspect/weaver/ASTManager.class.php at line 18

### AST_CACHE_DIR

`public final str AST_CACHE_DIR = 'ASTCache'`

/aspect/weaver/ASTManager.class.php at line 14

### AST_NAME_SEPARTOR

`public final str AST_NAME_SEPARTOR = '__'`

/aspect/weaver/ASTManager.class.php at line 19

### SERIARIZE_FILENAME

`public final str SERIARIZE_FILENAME = 'AOWP_ASTManager'`

/aspect/weaver/ASTManager.class.php at line 16

### _RemainingASTTasks

`private mixed $_RemainingASTTasks = array()`

## Constructor Detail

/aspect/weaver/ASTManager.class.php at line 21

### AOWP_ASTManager

`public AOWP_ASTManager()`

## Method Detail

/aspect/weaver/ASTManager.class.php at line 53

### _getASTCacheName

`private static void _getASTCacheName(mixed filePathOrASTFileName)`

/aspect/weaver/ASTManager.class.php at line 73

### _getASTPath

`private static void _getASTPath(mixed filePathOrASTFileName)`

/aspect/weaver/ASTManager.class.php at line 63

### _getSourceRelativePath

`private static void _getSourceRelativePath(mixed astFileName)`

/aspect/weaver/ASTManager.class.php at line 70

### _getWovenASTPath

`private static void _getWovenASTPath(mixed filePathOrASTFileName)`

/aspect/weaver/ASTManager.class.php at line 50

### _weavingCacheDirPath

`private static string _weavingCacheDirPath()`

織り込みの途中段階のASTを、保存するフォルダを取得する。

Uses:
  AOWP_ConfigurationManager::getCacheFolder()

/aspect/weaver/ASTManager.class.php at line 37

### cacheDirPath

`public static string cacheDirPath()`

解析したASTを、保存するフォルダを取得する。

Uses:
  AOWP_ConfigurationManager::getCacheFolder()

/aspect/weaver/ASTManager.class.php at line 161

### cleanASTCache

`public void cleanASTCache()`

/aspect/weaver/ASTManager.class.php at line 141

### createAllASTCache

`public void createAllASTCache()`

/aspect/weaver/ASTManager.class.php at line 150

### createOneASTCache

`public void createOneASTCache()`

/aspect/weaver/ASTManager.class.php at line 183

### generateWovenSource

`public static void generateWovenSource()`

/aspect/weaver/ASTManager.class.php at line 90

### getAllCachedASTFileName

`public static void getAllCachedASTFileName()`

/aspect/weaver/ASTManager.class.php at line 27

### getRemainingASTTaskNum

`public void getRemainingASTTaskNum()`

/aspect/weaver/ASTManager.class.php at line 173

### getSerializeFilePath

`public void getSerializeFilePath()`

/aspect/weaver/ASTManager.class.php at line 67

### getSourcePath

`public static void getSourcePath(mixed astFileName)`

/aspect/weaver/ASTManager.class.php at line 127

### getWovenASTFile

`public static PHP_Parser_Core getWovenASTFile(mixed astFileName, $astFileName )`

/aspect/weaver/ASTManager.class.php at line 156

### isEndCreateCache

`public void isEndCreateCache()`

/aspect/weaver/ASTManager.class.php at line 101

### parsePHPFile

`public static void parsePHPFile(mixed fileName)`

/aspect/weaver/ASTManager.class.php at line 136

### refleshWovenAST

`public static void refleshWovenAST()`

/aspect/weaver/ASTManager.class.php at line 77

### saveCache

`public static void saveCache(mixed fileName, mixed ast, mixed cacheDir)`

/aspect/weaver/ASTManager.class.php at line 85

### saveWeaveCache

`public static void saveWeaveCache(mixed fileName, mixed ast)`

/aspect/weaver/ASTManager.class.php at line 177

### serialize

`public void serialize()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr